package http_handler

import (
	"acme-mana/src/acme"
	"acme-mana/src/server/model"
	"github.com/gin-gonic/gin"
)

type ProviderHandler struct {
}

var ProviderHandlerInstance = &ProviderHandler{}

func (h *ProviderHandler) List(c *gin.Context) {
	c.JSON(200, model.SuccessD(acme.ListProvider()))
}

func (h *ProviderHandler) Map(c *gin.Context) {
	c.JSON(200, model.SuccessD(acme.MapProvider()))
}
